TLS Version Enforcement Notifications

Learn how to customize the TLS Enforcement Notification that will display to a mobile user if Appdome detects the use of unauthorized or unapproved TLS Version in sessions established with your app.

App Compromise Notifications – (TLS Version Enforcement)

Appdome enables you to enforce that TLS version 1.2 or higher are used for connections established with a mobile app. If Appdome detects the use of any TLS version earlier than TLS 1.2, the default behavior is to drop the connection and display an App Compromise Notification to the mobile user.

This Knowledge Base article provides instructions on how to customize the App Compromise notification message when Appdome detects the use of unauthorized or older TLS versions.

We hope you find it useful and enjoy using Appdome!

What is Appdome? 

Appdome is a no-code mobile integration platform as a service (iPaaS), supporting a wide variety of implementations for Android and iOS apps easily. Using a simple ‘click to add’ user interface, Appdome allows anyone to add mobile app security to any iOS or Android app in seconds, no code or coding required.

Using Appdome, there are no development or coding prerequisites. For example, there are no Appdome SDKs, libraries, plug-ins, software or hardware to implement. Likewise, there are no required infrastructure changes.  Users simply upload an Android or iOS app, select their choice of features from Appdome’s Security category, and click “Build My App”. The Appdome technology adds the chosen mobile security features to the app (plus any required standards or framework extensions) automatically, with no manual development work at all.

Prerequisites  

Here is what you need in order to build your app with Appdome mobile security:

How to Customize App Compromise Notifications

Follow these step-by-step instructions to customize the App Compromise Notification for TLS Version Enforcement.

You can customize the App Compromise Notification displayed to mobile users when security events trigger the app to exit.

Follow these step-by-step instructions to enable TLS version enforcement with a custom enforcement notification:

Upload a Mobile App to Your Account

Please follow these steps to add a mobile app to your Appdome account.
If you don’t have an Appdome account, click here to create an account.

From the “Build” tab, go to the Security menu.

  1. Click  Secure Communications to expand the bundle.
  2. Click on the toggle to enable Trusted Session.
  3. Expand Session Management.
  4. Toggle the “Enforce TLS Version” switch
  5. (Optional) Enable +DEV Events and customize the text in the App Compromise Notification free-form text box. 
  6. Click Build My App

Congratulations!  customizing App Compromise Notifications

How Do I Learn More?

Check out the KB article on Appdome Mobile Security Suite

To zoom out on this topic, visit Appdome for Mobile App Security on our website.

Or request a demo at any time.

If you have any questions, please send them our way at support@appdome.com or via the chat window on the Appdome platform.

Thank you!

Thanks for visiting Appdome! Our mission is to make mobile integration easy. We hope we’re living up to the mission with your project. If you don’t already have an account, you can sign up for free.

Alan Bavosa

Have a question?

Ask an expert

PaulMaking your security project a success!